# phpDox - Query\State

# Query\State

#### Query builder state

## Synopsis

class State {

- // methods
- public void __call()
- public State appendSelectString()
- public State appendSetArrayKeys()
- public State setOrderArray()
- public State appendGroupArray()
- public State appendValues()
- public State appendWhereValues()
- public State appendMap()
- public State appendHavingMap()

}

## Violations

### Checkstyle

Line | Column | Severity | Message
--- | --- | --- | ---
154 | 9 | error | Missing doc comment for function __call()

## Methods

#### public

- __call()
- appendGroupArray()
- appendHavingMap()
- appendMap() — Add an additional set of mapping pairs to a internal map
- appendSelectString()
- appendSetArrayKeys()
- appendValues()
- appendWhereValues()
- setOrderArray()